Subject: Re: [netlmm] Comment on draft-muhanna-netlmm-pmipv6-support-transient-coa-01.txt

From: "Ahmad Muhanna" <[email-masked]>
Date: Tue, 8 Apr 2008 08:02:01 -0500

Hi Mohan,
Thanks for your comments, please see comments inline.

Regards,
Ahmad

> -----Original Message-----
> From: Mohana Jeyatharan [mailto:[email-masked]] 
> Sent: Tuesday, April 08, 2008 2:21 AM
> To: Muhanna, Ahmad (RICH1:2H10)
> Cc: Sri Gundavelli; [email-masked]
> Subject: Comment on 
> draft-muhanna-netlmm-pmipv6-support-transient-coa-01.txt
> 
> Hi Ahmad,
> 
> I read your draft on transient CoA. I definitely see the need 
> to protect uplink packets that are on transit during hand-off 
> and also understand the need for transient caches maintained 
> at LMA during hand-off.
> 
> But, the question is that, base PMIP draft maintains BCE even 
> after deregPBU. Cant the LMA maintain old BCE during 
> horizontal hand-off for a short time and accept up-link 
> packets. 

[Ahmad]
The whole idea is to offer an optimized handover procedure which allow a
graceful move of the tunnel from the old-Care-of-Address to the new
Care-of-Address. Now, how to do this?
It could be done with a kluge or with a decent procedure that can define
the process which is happening at the access side while keeping the LMA
informed.

Coming from the high level to the details:
My understanding is the following:

The LMA or the MAG is not supposed to receive traffic for a user unless
the traffic belong to a tunnel that is registered in the Mobile Node
BCE. If we want to violate this rule, please let me know so we probably
need to revisit all of the IP mobility standards that is out there
including the PMIPv6 itself.

I believe we should not allow for the LMA or the MAG to accept traffic
except from a registered care-of-Address. Since in reality and due to
handover at certain times, the LMA may receive traffic from more than
one care-of-address for a short period of time, then the LMA need to
clearly know about that through a secure trusted well defined signaling
mechanism which inline with the original principle of IP mobility, in
our case PMIPv6.

I hope that you agree.

Thanks again!

> Why should the new MAG explicity give this 
> information to LMA with a specific time field. 
> I agree, in your case, you are talking about early PBU via 
> new MAG(using context transfer), and you do not want downlink 
> packets to come until MN makes attachment at new MAG. Apart 
> from this benefit, I am not verysure why LMA cant handle this 
> and prevent the uplink packet loss from old MAG.
[Ahmad]
Hope the above explain why.
> BR,
> Mohana
_______________________________________________
netlmm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netlmm

---

From: Marco Liebsch <[email-masked]>
Date: Wed, 09 Apr 2008 15:41:01 +0200

Hi Ahmad,

picking up the fact that your proposal focuses on intra-technology handover,
I'd like to understand timing and dependencies being described in your 
draft.
The mechanism assumes context transfer from sMAG to tMAG,
but also assumes that the MN in attached to the tMAG when the transient 
binding
is registered from the tMAG, correct? I'd like to understand two things:
How does your proposal depend on the assumed context transfer scheme?
Obviously your approach depends on a kind of FastHandoff-like inter-MAG
tunnel, as the LMA forwards downlink packets towards the sMAG while a tBCE
exists, correct?

marco

---

From: "Ahmad Muhanna" <[email-masked]>
Date: Wed, 9 Apr 2008 08:57:42 -0500

Hi Marco,
Please see comments inline.

Regards,
Ahmad

> From: Marco Liebsch [mailto:[email-masked]] 
> Sent: Wednesday, April 09, 2008 8:41 AM
> Cc: Mohana Jeyatharan; [email-masked]
> Subject: Re: [netlmm] Comment on 
> picking up the fact that your proposal focuses on 
> intra-technology handover, I'd like to understand timing and 
> dependencies being described in your draft.
> The mechanism assumes context transfer from sMAG to tMAG, but 
> also assumes that the MN in attached to the tMAG when the 
> transient binding is registered from the tMAG, correct? I'd 
> like to understand two things:

[Ahmad]
I am not sure what you mean here, May be you can elaborate on this a
little more.

> Obviously your approach depends on a kind of FastHandoff-like 
> inter-MAG tunnel, as the LMA forwards downlink packets 
> towards the sMAG while a tBCE exists, correct?

[Ahmad]
These two questions somehow are overlapping. No? 
I believe it depends on the type of fasthandoff-like solution you have
in mind. If context transfer is coupled with the inter-MAG tunnel
establishment or NOT. But to address your very specific concern about
inter-MAG tunneling, I would say it is not necessarily an inter-MAG
tunnel. Right?

> >> I read your draft on transient CoA. I definitely see the need to 
> >> protect uplink packets that are on transit during hand-off 
> and also 
> >> understand the need for transient caches maintained at LMA during 
> >> hand-off.
> >>
> >> But, the question is that, base PMIP draft maintains BCE 
> even after 
> >> deregPBU. Cant the LMA maintain old BCE during horizontal hand-off 
> >> for a short time and accept up-link packets.
> >>     
> >
> > [Ahmad]
> > The whole idea is to offer an optimized handover procedure 
> which allow 
> > a graceful move of the tunnel from the old-Care-of-Address 
> to the new 
> > It could be done with a kluge or with a decent procedure that can 
> > define the process which is happening at the access side 
> while keeping 
> > the LMA informed.
> >
> > The LMA or the MAG is not supposed to receive traffic for a user 
> > unless the traffic belong to a tunnel that is registered in 
> the Mobile 
> > Node BCE. If we want to violate this rule, please let me know so we 
> > probably need to revisit all of the IP mobility standards 
> that is out 
> > there including the PMIPv6 itself.
> >
> > clearly know about that through a secure trusted well defined 
> > signaling mechanism which inline with the original principle of IP 
> > mobility, in our case PMIPv6.
> >
> > I hope that you agree.
> >
> > Thanks again!
> >
> >
> >   
> >> Why should the new MAG explicity give this information to 
> LMA with a 
> >> specific time field.
> >> I agree, in your case, you are talking about early PBU via new 
> >> MAG(using context transfer), and you do not want downlink 
> packets to 
> >> come until MN makes attachment at new MAG. Apart from this 
> benefit, I 
> >> am not verysure why LMA cant handle this and prevent the uplink 
> >> packet loss from old MAG.
> >>     
> > [Ahmad]

---

From: Marco Liebsch <[email-masked]>
Date: Wed, 09 Apr 2008 16:40:00 +0200

Hi Ahmad,

> I am not sure what you mean here, May be you can elaborate on this a
the draft sais that it is assumed that the tMAG gets MN info (BCE specific)
through context transfer. I don't think this requirement is specific to your
transient registration, but it is what Proxy MIPv6 needs anyhow to allow
MAGs learning about MN data, such as assigned LMA etc., in case there
is no other means to retrieve this info during a handover. Correct?

> inter-MAG tunneling, I would say it is not necessarily an inter-MAG
well, I was just wondering why the LMA forwards downlink traffic to the
sMAG when the MN is assumed to be attached on the tMAG during a
transient registration. This makes sense for inter-tech handover, but not
for intra-tech handover if there is no forwarding from sMAG to the tMAG.
However I would agree that setting up such forwarding is out of scope of
the draft, just trying to understand implications.

Thanks,
marco

>>> I believe we should not allow for the LMA or the MAG to 
>>>       
>> accept traffic 
>>     
>>> except from a registered care-of-Address. Since in reality 
>>>       
>> and due to 
>>     
>>> handover at certain times, the LMA may receive traffic from 
>>>       
>> more than 
>>     
>>> one care-of-address for a short period of time, then the 
>>>       
>> LMA need to 
>>

---

From: "Ahmad Muhanna" <[email-masked]>
Date: Wed, 9 Apr 2008 09:46:07 -0500

Hi Marco.
Please see comment inline.

Regards,
Ahmad

> >> picking up the fact that your proposal focuses on intra-technology 
> >> handover, I'd like to understand timing and dependencies being 
> >> described in your draft.
> >> The mechanism assumes context transfer from sMAG to tMAG, but also 
> >> assumes that the MN in attached to the tMAG when the transient 
> >> binding is registered from the tMAG, correct? I'd like to 
> understand 
> >> two things:
> the draft sais that it is assumed that the tMAG gets MN info 
> (BCE specific) through context transfer. I don't think this 
> requirement is specific to your transient registration, but 
> it is what Proxy MIPv6 needs anyhow to allow MAGs learning 
> about MN data, such as assigned LMA etc., in case there is no 
> other means to retrieve this info during a handover. Correct?

[Ahmad]
In that sense, yes I agree. But I wanted to make sure that this is also
captured in the Transient Registration draft.

> >> inter-MAG tunnel, as the LMA forwards downlink packets towards the 
> >> sMAG while a tBCE exists, correct?
> >>     
> >
> > [Ahmad]
> well, I was just wondering why the LMA forwards downlink 
> traffic to the sMAG when the MN is assumed to be attached on 
> the tMAG during a transient registration. This makes sense 
> for inter-tech handover, but not for intra-tech handover if 
> there is no forwarding from sMAG to the tMAG.
> However I would agree that setting up such forwarding is out 
> of scope of the draft, just trying to understand implications.

[Ahmad]
No problem. Thanks Marco.

> >>>> From: Mohana Jeyatharan 
> [mailto:[email-masked]]